<?xml version="1.0" encoding="SHIFT_JIS"?>
<!-- Written by Masaya YAMAGUCHI, 2016-04-25 -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="meidai">
    <html xmlns:xhtml="http://www.w3.org/1999/xhtml">
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=shift_jis"/>
        <meta http-equiv="Content-Style-Type" content="text/css" />
        <link rel="stylesheet" href="meidai.css" type="text/css" />
	<title>
		<xsl:value-of select="@name"/>
	</title>
      </head>

      <body>
        <h1>
          <xsl:value-of select="@name" />
        </h1>
	<p>
	WNF <xsl:value-of select="@date" /><br />
	ꏊF <xsl:value-of select="@place" /><br />
	^ԁF <xsl:value-of select="@duration" /><br />
	QҁF <xsl:value-of select="@speakers" /><br />
	Q҂̊֌WF <xsl:value-of select="@relation" /><br />
	⑫F <xsl:value-of select="@remark" />
	</p>
	<hr />
        <xsl:apply-templates/>
	<!-- reffer to http://www.feedthebot.com/pagespeed/defer-loading-javascript.html -->
	<script type="text/javascript">
	  function downloadJSAtOnload() {location.href="#himawari";}
	  if (window.addEventListener)
	  window.addEventListener("load", downloadJSAtOnload, false);
	  else if (window.attachEvent)
	  window.attachEvent("onload", downloadJSAtOnload);
	  else window.onload = downloadJSAtOnload;
	</script>
      </body>
    </html>
</xsl:template>

  <xsl:template match="us">
    <p>
      <xsl:apply-templates/>
    </p>
  </xsl:template>

  <xsl:template match="u">
    <xsl:if test="not(@id)">
      <xsl:if test="count(preceding-sibling::u[not(@id)])=0">
	<strong>
	  <xsl:value-of select="@s"/>
	  <xsl:text>F@</xsl:text>
	</strong>
      </xsl:if>
      <xsl:apply-templates/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="iu">
    <xsl:for-each select="//u[@id=current()/@rid]">
      <xsl:apply-templates />
    </xsl:for-each>
  </xsl:template>

  <xsl:template match="s[@p!='']">
    <span class="su">
      <xsl:attribute name="title">
	<xsl:if test="@p">
	  <xsl:text>i: </xsl:text>
  	  <xsl:value-of select="@p"/>
	</xsl:if>
	<xsl:if test="@c != ''">
	  <xsl:text>@p^: </xsl:text>
  	  <xsl:value-of select="@c"/>
	</xsl:if>
	<xsl:if test="@f != ''">
	  <xsl:text>@p`: </xsl:text>
  	  <xsl:value-of select="@f"/>
	</xsl:if>
	<xsl:if test="@p">
	  <xsl:text>@bf: </xsl:text>
  	  <xsl:value-of select="@l"/>
	</xsl:if>
	<xsl:if test="@p">
	  <xsl:text>@ǂ: </xsl:text>
  	  <xsl:value-of select="@e"/>
	</xsl:if>
      </xsl:attribute>
      <xsl:choose>
	<xsl:when test="count(tg)!=0 and count(iu)!=0">
	  <span class="target_char">
	    <xsl:attribute name="id">
              <xsl:value-of select="tg/@id"/>
	    </xsl:attribute>
	    <xsl:apply-templates />
	  </span>
	</xsl:when>
	<xsl:when test="count(tg)!=0">
	  <span class="target_char">
	    <xsl:attribute name="id">
              <xsl:value-of select="tg/@id"/>
	    </xsl:attribute>
	    <xsl:value-of select="@s"/>
	  </span>
	</xsl:when>
	<xsl:when test="count(iu)!=0">
	  <xsl:apply-templates />
	</xsl:when>
	<xsl:otherwise>
	  <xsl:value-of select="@s"/>
	</xsl:otherwise>
      </xsl:choose>
    </span>
  </xsl:template>


  <xsl:template match="n">
    <strong>
      <xsl:value-of select="@c"/>
      <xsl:apply-templates/>
    </strong>
  </xsl:template>

  <xsl:template match="tg">
    <span class="target_char">
      <xsl:attribute name="id">
        <xsl:value-of select="@id"/>
      </xsl:attribute>
      <xsl:apply-templates/>
    </span>
  </xsl:template>


</xsl:stylesheet>
